This post was written more than 6 months ago and may contain outdated information. Take with a grain of salt.

New FlipQuiz Minimum Requirements

— Written June 5, 2017 —

Read time: about 0.49 minutes

As of today, FlipQuiz’s game mode is built with newer technologies than ever before. For this reason, the site requirements have been upgraded to take advantage of some of today’s browsers’ newest features.

Starting today, the new site requirements will be:

Chrome 35+ (download Chrome)
Firefox 35+ (download Firefox)
Safari 9+
Internet Explorer 11+
Microsoft Edge 12+

Based on site traffic, it was evident that the majority of the site’s users would fall into this range and would not be adversely affected.

Advertisements